#!/usr/bin/env python
# -*- Mode: Python -*-
# vi:si:et:sw=4:sts=4:ts=4

# Copyright 2007 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import os
import gtk

import logging
_logger = logging.getLogger('ourstories-activity')
_logger.setLevel(logging.DEBUG)

from gettext import gettext as _
from sugar.activity import activity

from ourstoriesui import ListenToolbar
from ourstoriesui import BrowseToolbar
from ourstoriesui import RecordToolbar
from listview import ListView

class OurStoriesActivity(activity.Activity):
  """
  """

  def __init__(self, handle):
    activity.Activity.__init__(self, handle)
    self._name=handle
    self.set_title("Our Stories")

    # Setup toolbars
    toolbox = activity.ActivityToolbox(self)
    self.set_toolbox(toolbox)
# deprecated
#    toolbox.add_toolbar(_('Browse'), BrowseToolbar())
#    toolbox.add_toolbar(_('Listen'), ListenToolbar())
    toolbox.add_toolbar(_('Record'), RecordToolbar())
    toolbox.show_all()

    # Setup list view
    self._main_view = gtk.VBox()
    self._story_browser = ListView()
    self._main_view.pack_start(self._story_browser)
    self._story_browser.show()
    self._main_view.show()
    self.set_canvas(self._main_view)

    _logger.info('OurStories activity started')
