import logging
_logger = logging.getLogger('os-icon')
_logger.setLevel(logging.DEBUG)

import gobject

from sugar.graphics.icon import CanvasIcon
from sugar.graphics import style
from sugar import profile

class ListenIcon(CanvasIcon):
  __gproperties__ = {
    'listening': (bool, None, None, False,
               gobject.PARAM_READWRITE)
  }

  def __init__(self):
    CanvasIcon.__init__(self, icon_name='listen-icon')
    self.set_tooltip('Listen to story')

    self._listening = None
    self._set_listening(False)


  def _set_listening(self, listen_status):
    if listen_status == self._listening:
      return

    self._listening = listen_status
    if self._listening:
      self.props.xo_color = profile.get_color()
    else:
      self.props.stroke_color = style.COLOR_PANEL_GREY.get_html()
      self.props.fill_color = style.COLOR_WHITE.get_html()

  def do_set_property(self, pspec, value):
    if pspec.name == 'listening':
      self._set_listening(value)
    else:
      CanvasIcon.do_set_property(self, pspec, value)

  def do_get_property(self, pspec):
    if pspec.name == 'listening':
      return self._listening
    else:
      return CanvasIcon.do_get_property(self, pspec)
