import logging
_logger = logging.getLogger('query')
_logger.setLevel(logging.DEBUG)

import gobject

from storymanager import StoryManager

class ResultSet(gobject.GObject):

  __gtype_name__ = 'ResultSet'

  __gsignals__ = {
    'new_story_sig': (gobject.SIGNAL_RUN_FIRST,
                      gobject.TYPE_NONE,
                     ([]))
  }

  def __init__(self):
    gobject.GObject.__init__(self)
    self._position = -1

    self._storymanager = StoryManager()
    self._stories = self._storymanager.get_stories()

    self._new_story_handler = \
      self._storymanager.connect('new_story_sig', self._new_story_cb)

  def _new_story_cb(self, storymanager):
    self._stories = self._storymanager.get_stories()
    # relay signal to listview for view refresh
    self.emit('new_story_sig')

  def get_length(self):
    return len(self._stories)

  length = property(get_length)

  def seek(self, position):
    self._position = position

  def get_stories(self):
    if self._position < len(self._stories):
      return self._stories[self._position:len(self._stories)]
    else:
      return []

