#!/bin/bash

# Automatically generate reinstall.sh and compile.py

activity_files=(`ls *.py`)
icon_files=(`ls icons/*`)

i=${#activity_files[*]}	# array size
while [ $i -ge 0 ]; do
  if [ "${activity_files[$i]}" = "compile.py" ] ||
     [ "${activity_files[$i]}" = "setup.py" ]
  then 
    unset activity_files[$i]
  fi
  i=`expr $i - 1`
done

# compile.py

echo '#!/usr/bin/env python
import py_compile' > ./compile.py

for file in ${activity_files[@]}; do
  echo 'py_compile.compile("'$file'")' >> ./compile.py
done

chmod 755 ./compile.py

# reinstall.sh
#!/bin/bash
echo '#!/bin/bash
rm -f *.pyc
./compile.py' > ./reinstall.sh

for file in ${activity_files[@]}; do
  echo 'cp '$file'* ~/Activities/OurStories.activity/' >> ./reinstall.sh
done
for file in ${icon_files[@]}; do
  echo 'cp ./'$file' ~/Activities/OurStories.activity/' >> ./reinstall.sh
done

chmod 755 ./reinstall.sh

# Manifest
rm -f MANIFEST
for file in ${activity_files[@]}; do
  echo $file >> ./MANIFEST
done
for file in ${icon_files[@]}; do
  echo ./$file >> ./MANIFEST
done
